%global beta_number b3

Summary:        Collection of tasks for Ant
Name:           ant-contrib
Version:        1.0
Release:        %mkrel 0.39.%{beta_number}.2
# Project site on sf lists both Apache Software License, Apache License V2.0
# see: https://sourceforge.net/projects/ant-contrib/
License:        ASL 2.0 and ASL 1.1

Group:          Development/Java
URL:            https://ant-contrib.sourceforge.net/
Source0:        https://downloads.sourceforge.net/project/ant-contrib/ant-contrib/1.0b3/ant-contrib-1.0b3-src.tar.bz2
# ASL 2.0 Licence text
# Upstream bug at https://sourceforge.net/tracker/?func=detail&aid=3590371&group_id=36177&atid=416920
Source2:        https://www.apache.org/licenses/LICENSE-2.0.txt

Patch2:         ant-contrib-antservertest.patch
Patch3:         ant-contrib-java-8.patch

BuildRequires:  ivy-local
BuildRequires:  junit
BuildRequires:  ant-junit
BuildRequires:  xerces-j2
BuildRequires:  bcel
BuildRequires:  java-devel
BuildRequires:  apache-ivy
BuildRequires:  apache-commons-logging
BuildRequires:  apache-commons-parent

Requires:       java-headless
Requires:       junit
Requires:       ant
Requires:       xerces-j2

BuildArch:      noarch
#ExclusiveArch: %%{java_arches} noarch

%description
The Ant-Contrib project is a collection of tasks
(and at one point maybe types and other tools)
for Apache Ant.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
Api documentation for %{name}.

%prep
%setup -q  -n %{name}
%autopatch -p1

cp -p %{SOURCE2} LICENSE-2.0.txt

find -name '*.class' -delete
find -name '*.jar' -delete

sed -i "s|xercesImpl|xerces-j2|g" ivy.xml
# needs porting to latest ivy
rm -fr src/java/net/sf/antcontrib/net/URLImportTask.java
# remove httpclient stuff
rm -fr src/java/net/sf/antcontrib/net/httpclient

sed -i '/<ivy:configure /d' build.xml
rm -f ivy-conf.xml

sed -i 's/antlib:fr.jayasoft.ivy.ant/antlib:org.apache.ivy.ant/g' build.xml
sed -i 's/org="jayasoft"/org="org.apache.ivy"/g' ivy.xml
sed -i '/<dependency org="apache"/{N;N;N;/commons-httpclient/d}' ivy.xml

sed -i '/<info /s//&revision="1.0b3" /' ivy.xml
%mvn_alias : ant-contrib:

%build
%ant -Divy.mode=local dist

%install
%mvn_artifact ivy.xml target/%{name}.jar
%mvn_install -J target/docs/api

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ant.d
echo "ant-contrib/ant-contrib" > $RPM_BUILD_ROOT%{_sysconfdir}/ant.d/ant-contrib

%files -f .mfiles
%{_sysconfdir}/ant.d/ant-contrib
%license target/docs/LICENSE.txt LICENSE-2.0.txt
%doc target/docs/manual/tasks/*

%files javadoc -f .mfiles-javadoc
%license target/docs/LICENSE.txt LICENSE-2.0.txt



%changelog
* Thu May 23 2024 ns80 <ns80> 1.0-0.39.b3.2.mga10
+ Revision: 2066394
- rebuild for java 21

* Fri Sep 11 2020 daviddavid <daviddavid> 1.0-0.39.b3.1.mga8
+ Revision: 1624520
- Rebuilt for JDK-11
- Set javac -source and -target to 1.8

* Wed Feb 12 2020 umeabot <umeabot> 1.0-0.31.b3.3.mga8
+ Revision: 1501319
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0-0.31.b3.2.mga7
+ Revision: 1277607
- Mageia 7 Mass Rebuild

* Thu Sep 28 2017 daviddavid <daviddavid> 1.0-0.31.b3.1.mga7
+ Revision: 1161100
- Build using XMvn Ivy resolver (sync with fc27)
- Fix incorrect ant.d path

* Wed Mar 02 2016 neoclust <neoclust> 1.0-0.29.b3.2.mga6
+ Revision: 981923
- Second rebuild of the java stack

* Thu Feb 25 2016 neoclust <neoclust> 1.0-0.29.b3.1.mga6
+ Revision: 979281
- Fix release

* Fri Jan 09 2015 pterjan <pterjan> 1.0-0.14.b3.mga5
+ Revision: 809493
- Add missing BuildRequires

* Sun Dec 21 2014 pterjan <pterjan> 1.0-0.13.b3.mga5
+ Revision: 804533
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 1.0-0.12.b3.7.mga5
+ Revision: 741969
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-0.12.b3.6.mga5
+ Revision: 677771
- Mageia 5 Mass Rebuild

* Mon Nov 04 2013 dmorgan <dmorgan> 1.0-0.12.b3.5.mga4
+ Revision: 549512
- Clean spec file

* Fri Oct 18 2013 umeabot <umeabot> 1.0-0.12.b3.4.mga4
+ Revision: 502502
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0-0.12.b3.3.mga3
+ Revision: 345592
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 fwang <fwang> 1.0-0.12.b3.2.mga3
+ Revision: 316589
- update rpm group

* Fri Dec 16 2011 gil <gil> 1.0-0.12.b3.1.mga2
+ Revision: 182521
- fix ant groupId
- update to 1.0b3

* Mon Jan 24 2011 dmorgan <dmorgan> 1.0-0.11.b2.1.mga1
+ Revision: 35884
- Adapt for mageia
- imported package ant-contrib


* Fri Jan 14 2011 Alexander Kurtakov <akurtako@redhat.com> 1.0-0.11.b2
- Add maven pom and depmap.

* Fri Sep 4 2009 Alexander Kurtakov <akurtako@redhat.com> 1.0-0.10.b2
- Install ant contrib in ant.d.

* Fri Sep 4 2009 Alexander Kurtakov <akurtako@redhat.com> 1.0-0.9.b2
- Drop gcj_support.
- Install as proper ant plugin.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.8.b2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.7.b2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jul 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0-0.6.b2
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0-0.5.b2
- Autorebuild for GCC 4.3

* Sun Aug 03 2006 Igor Foox <ifoox@redhat.com> - 1.0-0.4.b2
- Added dist tag to release.

* Sat Aug 02 2006 Igor Foox <ifoox@redhat.com> - 1.0-0.3.b2
- Removed unneccessary 0 epoch from required packages.
- Fixed dependance on specifically version 3.8.1 of junit.

* Tue Jun 27 2006 Igor Foox <ifoox@redhat.com> - 1.0-0.2.b2
- Removed Class-Path from ant-contrib.jar file.
- Renamed patches.

* Tue Jun 27 2006 Igor Foox <ifoox@redhat.com> - 1.0-0.1.b2
- Fixed release number to reflect beta status
- Removed Distribution and Vendor tags
- Fixed duplication in postun section
- Removed patch3, and used sed to fix line-endings instead

* Tue Jun 27 2006 Igor Foox <ifoox@redhat.com> - 1.0-1.b2
- Changed release-version to comply with FE standards
- Consolidated into -manual into main package
- Removed ghosting of the manual symlink
- Removed Epoch
- Run dos2unix over some manual files that have windows line endings
- Changed group for docs to Documentation
- Remove unused Source1
- Set Source0 to valid URL instead of just a file name
- Fix indentation
- Remove {push,pop}d and -c from %%setup
- Changed %%defattr in the %%files section to standard (-,root,root,-)

* Thu Jun 1 2006 Igor Foox <ifoox@redhat.com> - 0:1.0b2-1jpp_1fc
- Update to version 1.0b2
- Added native compilation
- Changed BuildRoot to what Extras expects

* Fri Aug 20 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.6-4jpp
- Upgrade to ant-1.6.2
- BuildReq/Req ant = 0:1.6.2
- Relax some other requirements

* Thu Jun 03 2004 Paul Nasrat <pauln@truemesh.com> - 0:0.6-3jpp
- Fix missing buildrequires

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:0.6-2jpp
- Upgrade to Ant 1.6.X

* Wed Mar 24 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.6-1jpp
- First JPackage release
